libnl: Expectation Tracking

libnl 3.12.0

Expectation Tracking
Command Line Interface API

## Functions
struct nfnl_exp * | nl_cli_exp_alloc (void)
struct nl_cache * | nl_cli_exp_alloc_cache (struct nl_sock *sk)
void | nl_cli_exp_parse_family (struct nfnl_exp *exp, char *arg)
void | nl_cli_exp_parse_timeout (struct nfnl_exp *exp, char *arg)
void | nl_cli_exp_parse_id (struct nfnl_exp *exp, char *arg)
void | nl_cli_exp_parse_helper_name (struct nfnl_exp *exp, char *arg)
void | nl_cli_exp_parse_zone (struct nfnl_exp *exp, char *arg)
void | nl_cli_exp_parse_flags (struct nfnl_exp *exp, char *arg)
void | nl_cli_exp_parse_class (struct nfnl_exp *exp, char *arg)
void | nl_cli_exp_parse_nat_dir (struct nfnl_exp *exp, char *arg)
void | nl_cli_exp_parse_fn (struct nfnl_exp *exp, char *arg)
void | nl_cli_exp_parse_src (struct nfnl_exp *exp, int tuple, char *arg)
void | nl_cli_exp_parse_dst (struct nfnl_exp *exp, int tuple, char *arg)
void | nl_cli_exp_parse_l4protonum (struct nfnl_exp *exp, int tuple, char *arg)
void | nl_cli_exp_parse_src_port (struct nfnl_exp *exp, int tuple, char *arg)
void | nl_cli_exp_parse_dst_port (struct nfnl_exp *exp, int tuple, char *arg)
void | nl_cli_exp_parse_icmp_id (struct nfnl_exp *exp, int tuple, char *arg)
void | nl_cli_exp_parse_icmp_type (struct nfnl_exp *exp, int tuple, char *arg)
void | nl_cli_exp_parse_icmp_code (struct nfnl_exp *exp, int tuple, char *arg)

## Detailed Description

## Function Documentation

## ◆ nl_cli_exp_alloc()

struct nfnl_exp * nl_cli_exp_alloc | ( | void |  | ) |

Definition at line 19 of file exp.c.

## ◆ nl_cli_exp_alloc_cache()

struct nl_cache * nl_cli_exp_alloc_cache | ( | struct nl_sock * | sk | ) |

Definition at line 30 of file exp.c.

## ◆ nl_cli_exp_parse_family()

void nl_cli_exp_parse_family | ( | struct nfnl_exp * | exp,
|  | char * | arg )

Definition at line 35 of file exp.c.

## ◆ nl_cli_exp_parse_timeout()

void nl_cli_exp_parse_timeout | ( | struct nfnl_exp * | exp,
|  | char * | arg )

Definition at line 47 of file exp.c.

## ◆ nl_cli_exp_parse_id()

void nl_cli_exp_parse_id | ( | struct nfnl_exp * | exp,
|  | char * | arg )

Definition at line 53 of file exp.c.

## ◆ nl_cli_exp_parse_helper_name()

void nl_cli_exp_parse_helper_name | ( | struct nfnl_exp * | exp,
|  | char * | arg )

Definition at line 59 of file exp.c.

## ◆ nl_cli_exp_parse_zone()

void nl_cli_exp_parse_zone | ( | struct nfnl_exp * | exp,
|  | char * | arg )

Definition at line 64 of file exp.c.

## ◆ nl_cli_exp_parse_flags()

void nl_cli_exp_parse_flags | ( | struct nfnl_exp * | exp,
|  | char * | arg )

Definition at line 70 of file exp.c.

## ◆ nl_cli_exp_parse_class()

void nl_cli_exp_parse_class | ( | struct nfnl_exp * | exp,
|  | char * | arg )

Definition at line 76 of file exp.c.

## ◆ nl_cli_exp_parse_nat_dir()

void nl_cli_exp_parse_nat_dir | ( | struct nfnl_exp * | exp,
|  | char * | arg )

Definition at line 82 of file exp.c.

## ◆ nl_cli_exp_parse_fn()

void nl_cli_exp_parse_fn | ( | struct nfnl_exp * | exp,
|  | char * | arg )

Definition at line 88 of file exp.c.

## ◆ nl_cli_exp_parse_src()

void nl_cli_exp_parse_src | ( | struct nfnl_exp * | exp,
|  | int | tuple,
|  | char * | arg )

Definition at line 93 of file exp.c.

## ◆ nl_cli_exp_parse_dst()

void nl_cli_exp_parse_dst | ( | struct nfnl_exp * | exp,
|  | int | tuple,
|  | char * | arg )

Definition at line 102 of file exp.c.

## ◆ nl_cli_exp_parse_l4protonum()

void nl_cli_exp_parse_l4protonum | ( | struct nfnl_exp * | exp,
|  | int | tuple,
|  | char * | arg )

Definition at line 111 of file exp.c.

## ◆ nl_cli_exp_parse_src_port()

void nl_cli_exp_parse_src_port | ( | struct nfnl_exp * | exp,
|  | int | tuple,
|  | char * | arg )

Definition at line 123 of file exp.c.

## ◆ nl_cli_exp_parse_dst_port()

void nl_cli_exp_parse_dst_port | ( | struct nfnl_exp * | exp,
|  | int | tuple,
|  | char * | arg )

Definition at line 130 of file exp.c.

## ◆ nl_cli_exp_parse_icmp_id()

void nl_cli_exp_parse_icmp_id | ( | struct nfnl_exp * | exp,
|  | int | tuple,
|  | char * | arg )

Definition at line 137 of file exp.c.

## ◆ nl_cli_exp_parse_icmp_type()

void nl_cli_exp_parse_icmp_type | ( | struct nfnl_exp * | exp,
|  | int | tuple,
|  | char * | arg )

Definition at line 145 of file exp.c.

## ◆ nl_cli_exp_parse_icmp_code()

void nl_cli_exp_parse_icmp_code | ( | struct nfnl_exp * | exp,
|  | int | tuple,
|  | char * | arg )

Definition at line 153 of file exp.c.